42 lines
1.5 KiB
Diff
42 lines
1.5 KiB
Diff
|
From e84d115b93428bf93e82a2c808721aadc048b163 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Fri, 9 Aug 2013 10:44:34 +0200
|
||
|
Subject: [PATCH] multipath: need_shutdown if multipath devices exist
|
||
|
|
||
|
https://bugzilla.redhat.com/show_bug.cgi?id=994913
|
||
|
---
|
||
|
modules.d/90multipath/module-setup.sh | 3 +++
|
||
|
modules.d/90multipath/multipathd-needshutdown.sh | 9 +++++++++
|
||
|
2 files changed, 12 insertions(+)
|
||
|
create mode 100755 modules.d/90multipath/multipathd-needshutdown.sh
|
||
|
|
||
|
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
|
||
|
index 6cdc511..feb58dc 100755
|
||
|
--- a/modules.d/90multipath/module-setup.sh
|
||
|
+++ b/modules.d/90multipath/module-setup.sh
|
||
|
@@ -95,6 +95,9 @@ install() {
|
||
|
inst_hook pre-trigger 02 "$moddir/multipathd.sh"
|
||
|
inst_hook cleanup 02 "$moddir/multipathd-stop.sh"
|
||
|
fi
|
||
|
+
|
||
|
+ inst_hook cleanup 80 "$moddir/multipathd-needshutdown.sh"
|
||
|
+
|
||
|
inst_rules 40-multipath.rules 62-multipath.rules 65-multipath.rules 66-kpartx.rules
|
||
|
}
|
||
|
|
||
|
diff --git a/modules.d/90multipath/multipathd-needshutdown.sh b/modules.d/90multipath/multipathd-needshutdown.sh
|
||
|
new file mode 100755
|
||
|
index 0000000..1565d4d
|
||
|
--- /dev/null
|
||
|
+++ b/modules.d/90multipath/multipathd-needshutdown.sh
|
||
|
@@ -0,0 +1,9 @@
|
||
|
+#!/bin/sh
|
||
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
||
|
+
|
||
|
+for i in /dev/mapper/mpath*; do
|
||
|
+ [ -b "$i" ] || continue
|
||
|
+ need_shutdown
|
||
|
+ break
|
||
|
+done
|